

#ifndef _HEIGHTMAP_H
#define _HEIGHTMAP_H

#include "model.h"
#include <SDL_image.h>

class Heightmap : public Model
{

public:
	Heightmap(const char* fileName, float scaling = 1.0, int displaylistResolution = 100, int vertexResolution = 1);

	virtual ~Heightmap();
	
private:
	bool Heightmap::import (const char* fileName, int displaylistResolution, int vertexResolution);
	void Heightmap::readIntoGroup(int left, int top,int width, int height, int vertexResolution);

	float Heightmap::getHeightAt(int x, int z);

	// holds the loaded pixels
	SDL_Surface* bitmap;
};

#endif /* _HEIGHTMAP_H */
