#include <iostream>
using namespace std;

#include "heightMapViewer.h"

int verbose = 3;

int main(int argc, char *argv[])
{
	HeightMapViewer viewer;

	if (argc <= 1)
	{
		cout << "specify a 8-bit greyscale bmp-file to load as argument!" << endl;
		return -1;
	}

	// initialize
	if (viewer.init(argv[1]) == false)
	{
		cout << "could not init. exiting." << endl;
		return -1;
	}
	
	viewer.run();
	
    return 0;
}
